<?php
class AddedFacebookConnectionsTable extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'added_facebook_connections_table';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		public $migration = array(
		'up' => array(
			'create_table' => array(
				'ev_facebook_facebook_connections' => array(
					'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'primary'),
					'last_checked' => array('type' => 'datetime', 'null' => true, 'default' => null),
					
					'indexes' => array(
						'PRIMARY' => array('column' => 'id', 'unique' => 1),
					),
					'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB'),
				),
			),
		),
		'down' => array(
			'drop_table' => array(
				'ev_facebook_facebook_connections'
			),
		),
	);
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return boolean Should process continue
 */
	public function after($direction) {
		return true;
	}
}
